import {Helper} from "../../../../../../js/lib/pwa-lib";

export class TemplateContainer{
    constructor(leafTemplate, parentTemplate, rowTemplate, triangleTemplate){
        this.leafTemplate = leafTemplate;
        this.parentTemplate = parentTemplate;
        this.rowTemplate = rowTemplate;
        this.triangleTemplate = triangleTemplate;
    }

    copyLeafTemplate()
    {
        return Helper.cloneNode(this.leafTemplate);
    }

    copyParentTemplate()
    {
        return Helper.cloneNode(this.parentTemplate);
    }

    copyRowTemplate()
    {
        return Helper.cloneNode(this.rowTemplate);
    }

    copyTriangleTemplate()
    {
        return Helper.cloneNode(this.triangleTemplate);
    }
}